[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectWriter.Write

Write raw data to stream

## Declaration

Source position: classesh.inc line 1514

`public procedure TBinaryObjectWriter.Write(`
`const Buffer;`
`Count: LongInt`
`); override;`

## Description

Write is introduced for Delphi compatibility to write raw data to the component stream. This should not be used in new production code as it will totally mess up the streaming.

## See also

TAbstractObjectWriter.Write |  | Write raw data to stream
TWriter.Write |  | Write raw data to stream